------------------------------------------------------------------------------------
--Name:  	tunianchunjie1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(433, 280)
CppScriptMgr:SetViewScale(350)
local Player_1 = CppScriptMgr:AddSimplePlayer(106885, 433, 283, "Grandpa", 0, 0)
local Player_7 = CppScriptMgr:AddSimplePlayer(1050050, 434, 280, "", 0, 0)
CppScriptMgr:WaitMilSec(500)
Player_7:Say("Would you like to do Spring Festival shopping with me?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("I have done that ahead of schedule!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("My son and grandchildren all came back!", 2500)
CppScriptMgr:WaitMilSec(2500)
Player_7:Say("So happy!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("My grandchildren are waiting for me to set off fireworks!", 2000)
CppScriptMgr:WaitMilSec(2000)
local Effect_1 = CppScriptMgr:AddEffect("firecracker1", 432, 282, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(1500)
local Player_2 = CppScriptMgr:AddSimplePlayer(106887, 309, 384, "Grandpa", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1050150, 306, 387, "Father", 0, 0)
Player_4:SetDir(6)
Player_4:SetAction(101)
local Player_5 = CppScriptMgr:AddSimplePlayer(1050406, 306, 389, "Mother", 0, 0)
Player_5:SetAction(101)
local Player_6 = CppScriptMgr:AddSimplePlayer(32617, 310, 388, "Boy", 0, 0)
Player_6:SetDir(7)
local Player_3 = CppScriptMgr:AddSimplePlayer(35427, 310, 383, "Girl", 0, 0)
local npc_0 = CppScriptMgr:AddSimplePlayer(41240, 312, 390, "", 0, 0)
npc_0:SetZoomPercent(80)
CppScriptMgr:WaitMilSec(500)
Player_6:Say("I`m gonna set it off! Three! Two! One!", 1000)
CppScriptMgr:WaitMilSec(370)
CppScriptMgr:SetLightScreen(1000)
CppScriptMgr:SetViewPosByCell(309, 386)
CppScriptMgr:SetViewScale(256)
CppScriptMgr:WaitMilSec(670)
Player_6:RunTo(307, 385)
Player_6:SetDir(3)
CppScriptMgr:WaitMilSec(330)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(290)
Player_6:SetDir(7)
CppScriptMgr:WaitMilSec(500)
Player_3:Say("Look!", 1000)
local effect_1 = CppScriptMgr:AddEffect("FF07", 307, 384, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("FF14", 307, 384, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(680)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(310)
Player_6:Say("Happy new year!", 1000)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e290", 307, 384, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(980)
Player_4:Say("Happy new year!", 800)
Player_5:Say("Happy new year!", 800)
CppScriptMgr:WaitMilSec(140)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(650)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e280_1", 313, 385, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e280_1", 316, 386, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(90)
local Effect_3 = CppScriptMgr:AddEffect("dakaishengzhi", 307, 384, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(690)
CppScriptMgr:ClearEffect(Effect_5)
CppScriptMgr:ClearEffect(Effect_6)
local Player_8 = CppScriptMgr:QueryHero()
Player_8:SetDir(0)
Player_8:SetPos(318, 385)
local actor_name_0 = Player_8:GetName()
local Player_9 = CppScriptMgr:AddSimplePlayer(1050096, 316, 387, "MissBunny", 0, 0)
Player_9:SetDir(6)
CppScriptMgr:WaitMilSec(260)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(510)
CppScriptMgr:NpcCallOut("Doing Spring Festival shopping, the old man looks forward to the reunion of family.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQYt", 150, 430, "MissBunny", 250, 655, true)
Player_9:Say("Doing Spring Festival shopping, the old man looks forward to the reunion of family.", 1500)
CppScriptMgr:WaitMilSec(1260)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(1240)
CppScriptMgr:NpcCallOut("They will have a nice dinner and talk about what happened last year.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQYt", 150, 430, "MissBunny", 250, 655, true)
Player_9:Say("They will have a nice dinner and talk about what happened last year.", 1500)
CppScriptMgr:WaitMilSec(70)
local Effect_4 = CppScriptMgr:AddEffect("dakaishengzhi", 307, 384, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(660)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(2070)
CppScriptMgr:NpcCallOut("Under the brilliant fireworks, they will say `happy new year` to each other.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQYt", 150, 430, "MissBunny", 250, 655, true)
Player_9:Say("Under the brilliant fireworks, they will say `happy new year` to each other.", 1500)
CppScriptMgr:WaitMilSec(1770)
CppScriptMgr:NpcCallOut("This is the scene you are expecting. You are so gentle!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLN", 150, 430, actor_name_0, 250, 655, true)
Player_8:SetAction(200)
Player_8:Say("This is the scene you are expecting. You are so gentle!", 2000)
CppScriptMgr:WaitMilSec(2680)